import { CodeEditor } from '@jupyterlab/codeeditor';
import { CompletionHandler } from '@jupyterlab/completer';
import { DataConnector } from '@jupyterlab/statedb';
import { NotebookPanel } from '@jupyterlab/notebook';
declare type IOptions = {
    editor: CodeEditor.IEditor;
    settings: IMutableAISettings;
    panel: NotebookPanel;
};
declare type IAutoCompleteRequestOptions = {
    editor: CodeEditor.IEditor;
    settings: IMutableAISettings;
    panel: NotebookPanel;
    filename: string;
};
interface IMutableAISettings {
    apiKey: string;
    autocompleteDomain: string;
    transformDomain: string;
    flag: boolean;
}
export default class MutableAiConnector extends DataConnector<CompletionHandler.ICompletionItemsReply, void, CompletionHandler.IRequest> implements CompletionHandler.ICompletionItemsConnector {
    responseType: "ICompletionItemsReply";
    _settings: IMutableAISettings;
    _panel: NotebookPanel;
    constructor(options: IOptions);
    fetch(request: CompletionHandler.IRequest): Promise<CompletionHandler.ICompletionItemsReply>;
    private _editor;
}
export declare function autoComplete({ editor, filename, settings, panel }: IAutoCompleteRequestOptions): Promise<CompletionHandler.ICompletionItemsReply>;
export {};
