import { NotebookPanel, INotebookModel } from '@jupyterlab/notebook';
import { ITranslator } from '@jupyterlab/translation';
import { IDisposable } from '@lumino/disposable';
import { DocumentRegistry } from '@jupyterlab/docregistry';
interface IActionHandlers {
    onLunchToProduction: (context: DocumentRegistry.IContext<INotebookModel>) => void;
    onDocToProduction: (context: DocumentRegistry.IContext<INotebookModel>) => void;
    onCustomCommand: (context: DocumentRegistry.IContext<INotebookModel>) => void;
    onRefactorToProduction: (context: DocumentRegistry.IContext<INotebookModel>) => void;
}
interface IButtonConfig {
    trans?: ITranslator;
    handlers: IActionHandlers;
}
export declare class ToolbarWidget implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    constructor(config: IButtonConfig);
    /**
     * Create a new extension for the notebook panel widget.
     *
     * @param panel Notebook panel
     * @param context Notebook context
     * @returns Disposable on the added button
     */
    createNew(panel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
    private _trans?;
    private _handlers;
}
interface IMutableAiToolbarManagerConfig {
    docRegistry: DocumentRegistry;
    trans?: ITranslator;
    handlers: IActionHandlers;
}
export declare class ToolbarManager {
    constructor(config: IMutableAiToolbarManagerConfig);
    initialize(): void;
    dispose(): void;
    private _toolbar?;
    private _docRegistry;
    private _trans?;
    private _handlers;
}
export {};
