import { JupyterFrontEnd } from '@jupyterlab/application';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
import { IDocumentManager } from '@jupyterlab/docmanager';
interface ITransformPollingManagerProps {
    docManager: IDocumentManager;
    app: JupyterFrontEnd;
    mutableAI: ISettingRegistry.ISettings;
}
export declare class TransformPollingManager {
    constructor(props: ITransformPollingManagerProps);
    /**
     * A promise that resolves when the settings have been loaded.
     */
    get ready(): Promise<void>;
    startPolling(file_path: string, current_file_path: string): Promise<void>;
    acceptFile(id: string): Promise<void>;
    declineFile(id: string): Promise<void>;
    private _docManager;
    private _app;
    private _toasterId;
    private _ready;
    private _mutableAI;
    private _count;
    private _file_path;
    private _current_file_path;
}
export {};
