/// <reference types="react" />
import { ReactWidget } from '@jupyterlab/apputils';
import { ITranslator, TranslationBundle } from '@jupyterlab/translation';
/**
 * React component for a Mutable AI settings.
 *
 * @returns The React component
 */
interface IActionHandlers {
    onAcceptChanges: () => void;
    onDeclineChanges: () => void;
}
export declare class CodeViewerWidget extends ReactWidget {
    /**
     * Constructs a new Code Viewer Widget.
     */
    closeShell: () => void;
    file: any;
    app: any;
    handlers: IActionHandlers;
    trans: TranslationBundle;
    ext: string | null;
    constructor(close: () => void, file: any, app: any, handlers: IActionHandlers, ext: string | null, translator?: ITranslator);
    render(): JSX.Element;
}
export {};
